Update tenant organization
PATCH
/tenants
const url = 'https://api.muninx.com/tenants';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"allowed-domains":["example"],"blocked-domains":["example"],"customer-access-type":"open","display-name":"example","owner":"example","plan":"example","reply-identity":"agent","stripe-id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.muninx.com/tenants \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "allowed-domains": [ "example" ], "blocked-domains": [ "example" ], "customer-access-type": "open", "display-name": "example", "owner": "example", "plan": "example", "reply-identity": "agent", "stripe-id": "example" }'Partially updates settings for the authenticated tenant’s MuninX workspace. Tenant admins can update the workspace display name, customer access policy, allowed and blocked domains, owner, and reply identity. Billing plan and Stripe customer ID are service-only fields.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”Updates
Media type application/json
object
allowed-domains
Domains allowed when customer access is restricted.
Array<string>
blocked-domains
Domains blocked from customer access.
Array<string>
customer-access-type
Customer signup policy: open, closed, or restricted.
string
display-name
Workspace display name.
string
owner
Admin email that owns the workspace.
string
plan
Billing plan. Service users only.
string
reply-identity
Identity shown on agent replies.
string
stripe-id
Stripe customer ID. Service users only.
string
Responses
Section titled “ Responses ”Org updated
Media type application/json
string
Example generated
exampleProblem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}Problem+json
Media type application/json
object
key
additional properties
any
Example generated
{}